<?php
/**
* 404 Page Settings.
*
* @package Education Reform
*/

$education_reform_default = education_reform_get_default_theme_options();

$wp_customize->add_section( 'education_reform_404_page_settings',
    array(
        'title'      => esc_html__( '404 Page Settings', 'education-reform' ),
        'priority'   => 200,
        'capability' => 'edit_theme_options',
        'panel'      => 'education_reform_theme_addons_panel',
    )
);

$wp_customize->add_setting( 'education_reform_404_main_title',
    array(
        'default'           => $education_reform_default['education_reform_404_main_title'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'education_reform_404_main_title',
    array(
        'label'    => esc_html__( '404 Main Title', 'education-reform' ),
        'section'  => 'education_reform_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'education_reform_404_subtitle_one',
    array(
        'default'           => $education_reform_default['education_reform_404_subtitle_one'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'education_reform_404_subtitle_one',
    array(
        'label'    => esc_html__( '404 Sub Title One', 'education-reform' ),
        'section'  => 'education_reform_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'education_reform_404_para_one',
    array(
        'default'           => $education_reform_default['education_reform_404_para_one'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'education_reform_404_para_one',
    array(
        'label'    => esc_html__( '404 Para Text One', 'education-reform' ),
        'section'  => 'education_reform_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'education_reform_404_subtitle_two',
    array(
        'default'           => $education_reform_default['education_reform_404_subtitle_two'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'education_reform_404_subtitle_two',
    array(
        'label'    => esc_html__( '404 Sub Title Two', 'education-reform' ),
        'section'  => 'education_reform_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'education_reform_404_para_two',
    array(
        'default'           => $education_reform_default['education_reform_404_para_two'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'education_reform_404_para_two',
    array(
        'label'    => esc_html__( '404 Para Text Two', 'education-reform' ),
        'section'  => 'education_reform_404_page_settings',
        'type'     => 'text',
    )
);